<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: ControladorUsuario.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: ControladorUsuario.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>'use strict';
var models = require('./../models/');
var utilidades = require('../public/javascripts/Utilidades');

/**
 * @description ControladorCuenta
 */
class ControladorCuenta {
    /**
     * @description Método para cerrar sesión
     * @param {req} req Sirve para destruir variable de sesión
     * @param {res} res Sirve para redireccionar a la ventana de inicio de sesión 
     */
    cerrar_sesion(req, res) {
        req.session.destroy();
        res.redirect('/');
    }

    /**
     * @description Pemite visualizar la ventana PaginaPrincipal, según los tipos de usuario que existen
     * @param {req} req Permite saber si el usuario ha iniciado sesión, obtener el rol del usuario y su id, y presentar los mensajes de información o error
     * @param {res} res Permite redireccionar la respectiva ventana, en el caso de que se haya iniciado sesión o no
     */
    visualizar_principal(req, res) {
        var persona = models.persona;
        utilidades.crear_roles();
        if (req.isAuthenticated()) {
            if (req.user.rol === 'administrador') {
                persona.findOne({where: {external_id: req.user.id}}).then(function (datos) {
                    res.render('index',
                            {
                                title: 'Aureo',
                                fragmentos: "PaginaPrincipal",
                                info: datos,
                                admin: true,
                                msg: {error: req.flash('error'), info: req.flash('info')}

                            });
                }).error(function (error) {
                    req.flash('error', 'Hubo un problema, comunicate con tu servicio del sistema');
                    res.redirect('/');
                });
            } else if (req.user.rol === 'usuario') {
                persona.findOne({where: {external_id: req.user.id}}).then(function (datos) {
                    res.render('index',
                            {
                                title: 'Aureo',
                                fragmentos: "PaginaPrincipal",
                                info: datos,
                                normal: true,
                                msg: {error: req.flash('error'), info: req.flash('info')}

                            });
                });
            } else if (req.user.rol === 'premium') {
                persona.findOne({where: {external_id: req.user.id}}).then(function (datos) {
                    res.render('index',
                            {
                                title: 'Aureo',
                                fragmentos: "PaginaPrincipal",
                                info: datos,
                                premium: true,
                                msg: {error: req.flash('error'), info: req.flash('info')}

                            });
                });
            }
        } else {
            res.render('index', {title: 'Aureo', msg: {error: req.flash('error'), info: req.flash('info')}, fragmentos: "Inicio_Sesion"});
        }
    }
}
module.exports = ControladorCuenta;</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="ControladorCuenta.html">ControladorCuenta</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Sun Aug 25 2019 04:13:28 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
